#include "CS_Signboard_Repair.h"

CS_Signboard_Repair::CS_Signboard_Repair()
{
	ani.png = L"CS_CaveStoryMod";
}

void CS_Signboard_Repair::SetState(int stateID, int lr)
{
	this->lr = lr;
	ani.sprite_index = lr == 0 ? L"ls_signboard_repair_open" : L"ls_signboard_repair_close";
}

std::shared_ptr<Entity> CreateCS_Signboard_Repair()
{
	return std::make_shared<CS_Signboard_Repair>();
}
